package com.example.ellegadodepintia.exploradoresDePintia.model

import com.example.ellegadodepintia.exploradoresDePintia.model.efecto.Efecto

class OpcionCombate(
    private val efecto: Efecto,
    descripcion: String,
    atributoRequerida: Atributo
) : Opcion(descripcion, atributoRequerida, efecto) {
    override fun aplicarEfecto(): String {
        if (atributoRequerida != Atributo.Nula) {
            efecto.probabilidadExito += GameState.jugador.atributos[atributoRequerida] ?: 0
        }
        return GestorCombate.accionProtagonista(efecto)
    }
}
